List filtered notifications

Retrieves paginated SchoolSet notifications filtered by method, page, search text, read state, archive state, and status.

Authentication

AuthorizationBearer

The signed-in SchoolSet user token sent by the frontend.

Query parameters

method_ids[]list of integersOptional
Notification method identifiers selected by the frontend.
pageintegerRequired

One-based result page requested by the notification store.

per_pageintegerRequired<=200
Number of notifications per page
searchstringOptional
Text searched within notification messages.
is_readenumOptional

Read-state filter where zero is unread and one is read.

Allowed values:
is_archiveenumOptional

Archive-state filter where zero is active and one is archived.

Allowed values:

Response

A paginated notification resource response is returned for the selected filters.
statusstringOptional
messagestringOptional
datalist of maps from strings to anyOptional
metamap from strings to anyOptional

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error